package com.sys.bus.sys.model.base;

import com.jfinal.plugin.activerecord.IBean;
import com.jfinal.plugin.activerecord.Model;

public abstract class BaseUser<M extends BaseUser<M>> extends Model<M> implements IBean {

    /**
     *
     */
    private static final long serialVersionUID = 1L;

    @SuppressWarnings("unchecked")
    public M setId(java.lang.Integer id) {
        set("id", id);
        return (M)this;
    }

    public java.lang.Integer getId() {
        return getInt("id");
    }

    //String name;

    public String getName() {

        return get("name");
    }

    public void setName(String name) {

        set("name",name);
    }

    public void setCF_COLORE_TYPE(String a) {
        set("CF_COLORE_TYPE", a);
    }


}
